(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/init.js"));
	else if(typeof define === 'function' && define.amd)
		define("@kq_npm/client3d_webgl_vue", ["vue", "@kq_npm/client_common_vue/_utils/gis-utils", "@kq_npm/client_common_vue/_utils/util", "@kq_npm/client_common_vue/init.js"], factory);
	else if(typeof exports === 'object')
		exports["@kq_npm/client3d_webgl_vue"] = factory(require("vue"), require("@kq_npm/client_common_vue/_utils/gis-utils"), require("@kq_npm/client_common_vue/_utils/util"), require("@kq_npm/client_common_vue/init.js"));
	else
		root["@kq_npm/client3d_webgl_vue"] = factory(root["Vue"], root["@kq_npm/client_common_vue/_utils/gis-utils"], root["@kq_npm/client_common_vue/_utils/util"], root["@kq_npm/client_common_vue/init.js"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE__1895__, __WEBPACK_EXTERNAL_MODULE__7135__, __WEBPACK_EXTERNAL_MODULE__3458__, __WEBPACK_EXTERNAL_MODULE__7997__) {
return /******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 1638:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

/* harmony import */ var _node_modules_css_loader_dist_runtime_api_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3645);
/* harmony import */ var _node_modules_css_loader_dist_runtime_api_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_runtime_api_js__WEBPACK_IMPORTED_MODULE_0__);
// Imports

var ___CSS_LOADER_EXPORT___ = _node_modules_css_loader_dist_runtime_api_js__WEBPACK_IMPORTED_MODULE_0___default()(function(i){return i[1]});
// Module
___CSS_LOADER_EXPORT___.push([module.id, ".compare-layer-tree-wrap{background-color:var(--kq-bg-color);border-radius:var(--kq-border-radius-base);width:272px;height:350px;padding:16px}.compare-layer-tree-wrap .compare-layer-tree{padding-top:16px;height:calc(100% - 83px);overflow-y:auto}.compare-layer-tree-wrap .compare-layer-tree .tree-node_icon{top:3px}.tree-node_icon{margin-right:6px;position:relative;font-size:16px;height:100%;color:var(--kq-color-primary)}.tree-node_label{display:inline-block;vertical-align:middle;overflow:hidden;text-overflow:ellipsis;font-size:var(--kq-font-size-base);color:var(--kq-text-color-regular)}.kq-tree-node__content{width:100%}", ""]);
// Exports
/* harmony default export */ __webpack_exports__["Z"] = (___CSS_LOADER_EXPORT___);


/***/ }),

/***/ 3645:
/***/ (function(module) {



/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
// eslint-disable-next-line func-names
module.exports = function (cssWithMappingToString) {
  var list = []; // return the list of modules as css string

  list.toString = function toString() {
    return this.map(function (item) {
      var content = cssWithMappingToString(item);

      if (item[2]) {
        return "@media ".concat(item[2], " {").concat(content, "}");
      }

      return content;
    }).join("");
  }; // import a list of modules into the list
  // eslint-disable-next-line func-names


  list.i = function (modules, mediaQuery, dedupe) {
    if (typeof modules === "string") {
      // eslint-disable-next-line no-param-reassign
      modules = [[null, modules, ""]];
    }

    var alreadyImportedModules = {};

    if (dedupe) {
      for (var i = 0; i < this.length; i++) {
        // eslint-disable-next-line prefer-destructuring
        var id = this[i][0];

        if (id != null) {
          alreadyImportedModules[id] = true;
        }
      }
    }

    for (var _i = 0; _i < modules.length; _i++) {
      var item = [].concat(modules[_i]);

      if (dedupe && alreadyImportedModules[item[0]]) {
        // eslint-disable-next-line no-continue
        continue;
      }

      if (mediaQuery) {
        if (!item[2]) {
          item[2] = mediaQuery;
        } else {
          item[2] = "".concat(mediaQuery, " and ").concat(item[2]);
        }
      }

      list.push(item);
    }
  };

  return list;
};

/***/ }),

/***/ 3379:
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {



var isOldIE = function isOldIE() {
  var memo;
  return function memorize() {
    if (typeof memo === 'undefined') {
      // Test for IE <= 9 as proposed by Browserhacks
      // @see http://browserhacks.com/#hack-e71d8692f65334173fee715c222cb805
      // Tests for existence of standard globals is to allow style-loader
      // to operate correctly into non-standard environments
      // @see https://github.com/webpack-contrib/style-loader/issues/177
      memo = Boolean(window && document && document.all && !window.atob);
    }

    return memo;
  };
}();

var getTarget = function getTarget() {
  var memo = {};
  return function memorize(target) {
    if (typeof memo[target] === 'undefined') {
      var styleTarget = document.querySelector(target); // Special case to return head of iframe instead of iframe itself

      if (window.HTMLIFrameElement && styleTarget instanceof window.HTMLIFrameElement) {
        try {
          // This will throw an exception if access to iframe is blocked
          // due to cross-origin restrictions
          styleTarget = styleTarget.contentDocument.head;
        } catch (e) {
          // istanbul ignore next
          styleTarget = null;
        }
      }

      memo[target] = styleTarget;
    }

    return memo[target];
  };
}();

var stylesInDom = [];

function getIndexByIdentifier(identifier) {
  var result = -1;

  for (var i = 0; i < stylesInDom.length; i++) {
    if (stylesInDom[i].identifier === identifier) {
      result = i;
      break;
    }
  }

  return result;
}

function modulesToDom(list, options) {
  var idCountMap = {};
  var identifiers = [];

  for (var i = 0; i < list.length; i++) {
    var item = list[i];
    var id = options.base ? item[0] + options.base : item[0];
    var count = idCountMap[id] || 0;
    var identifier = "".concat(id, " ").concat(count);
    idCountMap[id] = count + 1;
    var index = getIndexByIdentifier(identifier);
    var obj = {
      css: item[1],
      media: item[2],
      sourceMap: item[3]
    };

    if (index !== -1) {
      stylesInDom[index].references++;
      stylesInDom[index].updater(obj);
    } else {
      stylesInDom.push({
        identifier: identifier,
        updater: addStyle(obj, options),
        references: 1
      });
    }

    identifiers.push(identifier);
  }

  return identifiers;
}

function insertStyleElement(options) {
  var style = document.createElement('style');
  var attributes = options.attributes || {};

  if (typeof attributes.nonce === 'undefined') {
    var nonce =  true ? __webpack_require__.nc : 0;

    if (nonce) {
      attributes.nonce = nonce;
    }
  }

  Object.keys(attributes).forEach(function (key) {
    style.setAttribute(key, attributes[key]);
  });

  if (typeof options.insert === 'function') {
    options.insert(style);
  } else {
    var target = getTarget(options.insert || 'head');

    if (!target) {
      throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");
    }

    target.appendChild(style);
  }

  return style;
}

function removeStyleElement(style) {
  // istanbul ignore if
  if (style.parentNode === null) {
    return false;
  }

  style.parentNode.removeChild(style);
}
/* istanbul ignore next  */


var replaceText = function replaceText() {
  var textStore = [];
  return function replace(index, replacement) {
    textStore[index] = replacement;
    return textStore.filter(Boolean).join('\n');
  };
}();

function applyToSingletonTag(style, index, remove, obj) {
  var css = remove ? '' : obj.media ? "@media ".concat(obj.media, " {").concat(obj.css, "}") : obj.css; // For old IE

  /* istanbul ignore if  */

  if (style.styleSheet) {
    style.styleSheet.cssText = replaceText(index, css);
  } else {
    var cssNode = document.createTextNode(css);
    var childNodes = style.childNodes;

    if (childNodes[index]) {
      style.removeChild(childNodes[index]);
    }

    if (childNodes.length) {
      style.insertBefore(cssNode, childNodes[index]);
    } else {
      style.appendChild(cssNode);
    }
  }
}

function applyToTag(style, options, obj) {
  var css = obj.css;
  var media = obj.media;
  var sourceMap = obj.sourceMap;

  if (media) {
    style.setAttribute('media', media);
  } else {
    style.removeAttribute('media');
  }

  if (sourceMap && typeof btoa !== 'undefined') {
    css += "\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))), " */");
  } // For old IE

  /* istanbul ignore if  */


  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    while (style.firstChild) {
      style.removeChild(style.firstChild);
    }

    style.appendChild(document.createTextNode(css));
  }
}

var singleton = null;
var singletonCounter = 0;

function addStyle(obj, options) {
  var style;
  var update;
  var remove;

  if (options.singleton) {
    var styleIndex = singletonCounter++;
    style = singleton || (singleton = insertStyleElement(options));
    update = applyToSingletonTag.bind(null, style, styleIndex, false);
    remove = applyToSingletonTag.bind(null, style, styleIndex, true);
  } else {
    style = insertStyleElement(options);
    update = applyToTag.bind(null, style, options);

    remove = function remove() {
      removeStyleElement(style);
    };
  }

  update(obj);
  return function updateStyle(newObj) {
    if (newObj) {
      if (newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap) {
        return;
      }

      update(obj = newObj);
    } else {
      remove();
    }
  };
}

module.exports = function (list, options) {
  options = options || {}; // Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
  // tags it will allow on a page

  if (!options.singleton && typeof options.singleton !== 'boolean') {
    options.singleton = isOldIE();
  }

  list = list || [];
  var lastIdentifiers = modulesToDom(list, options);
  return function update(newList) {
    newList = newList || [];

    if (Object.prototype.toString.call(newList) !== '[object Array]') {
      return;
    }

    for (var i = 0; i < lastIdentifiers.length; i++) {
      var identifier = lastIdentifiers[i];
      var index = getIndexByIdentifier(identifier);
      stylesInDom[index].references--;
    }

    var newLastIdentifiers = modulesToDom(newList, options);

    for (var _i = 0; _i < lastIdentifiers.length; _i++) {
      var _identifier = lastIdentifiers[_i];

      var _index = getIndexByIdentifier(_identifier);

      if (stylesInDom[_index].references === 0) {
        stylesInDom[_index].updater();

        stylesInDom.splice(_index, 1);
      }
    }

    lastIdentifiers = newLastIdentifiers;
  };
};

/***/ }),

/***/ 764:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ CompareMapViewModel; }
/* harmony export */ });
/*
 * Copyright (C) 2019 KQ GEO Technologies Co., Ltd.
 * All rights reserved.
 */
//多窗口逻辑类
class CompareMapViewModel {
  _scenceView = null; // 三维视图对象
  _viewer = null; //三维viewer对象

  constructor(scenceView, options = {}) {
    this._scenceView = scenceView;
    this._viewer = scenceView._viewer;
    this._viewer.scene.globe.nightFadeOutDistance = 1.0e9;
    this._viewer.scene.globe.nightFadeInDistance = 5.0e9;
    if(options.splitLineColor) {
      this._viewer.scene.splitLineColor = Cesium.Color.fromCssColorString(options.splitLineColor);
    }
    if(options.splitLineWidth) {
      this._viewer.scene.splitLineWidth = options.splitLineWidth;
    }
  }

  //切换窗口模式
  changeMode(mode, selectAll) {
    let viewMode = Cesium.SplitViewMode.NONE;
    switch (mode) {
      case 1:
        viewMode = Cesium.SplitViewMode.NONE;
        break;
      case 2:
        viewMode = Cesium.SplitViewMode.HORIZONTAL;
        break;
      // case 3:
      //   viewMode = Cesium.SplitViewMode.HORIZONTAL_TRIPLE;
      //   break;
      case 4:
        viewMode = Cesium.SplitViewMode.QUAD;
        break;
      // case 5:
      //   viewMode = [
      //     { index: 0, left: 0, top: 0, width: 1, height: 1 },
      //     { index: 1, left: 0.78, top: 0.06, width: 0.2, height: 0.2 }
      //   ];
      //   break;
      default:
        break;
    }
    if(!selectAll) {
      // 默认全部不勾选
      let checkedLayerkeys = this._scenceView._layerManager.getLayerCheckedListKey();
      for(let i=0;i<checkedLayerkeys.length;i++) {
        let layer = this._scenceView._layerManager.getLayerByGuid(checkedLayerkeys[i]);
        let type = this._scenceView._layerManager.getLayerTypeByGuid(checkedLayerkeys[i]);
        if(layer){
          layer.showInViews = [];
          if(type == 'datasource') {
            layer.entities.values.forEach(entity => {
              entity.showInViews = [];
            });
          }
        }
      }
    }
    this._viewer.scene.splitViewMode = viewMode;
  }

  //重置窗口模式
  resetMode() {
    this.changeMode();
    let checkedLayerkeys = this._scenceView._layerManager.getLayerCheckedListKey();
    for(let i=0;i<checkedLayerkeys.length;i++) {
      let layer = this._scenceView._layerManager.getLayerByGuid(checkedLayerkeys[i]);
      let type = this._scenceView._layerManager.getLayerTypeByGuid(checkedLayerkeys[i]);
      if(layer){
        layer.showInViews = undefined;
        if(type == 'datasource') {
          layer.entities.values.forEach(entity => {
            entity.showInViews = [0, 1, 2, 3];
          });
        }
      }
    }
  }

  setLayerState(index, guid, visible) {
    let layer = this._scenceView._layerManager.getLayerByGuid(guid);
    let type = this._scenceView._layerManager.getLayerTypeByGuid(guid);
    if(layer) {
      let showInViews = layer.showInViews || [0, 1, 2, 3];
      if(visible) {
        showInViews.push(index);
      } else {
        let num = showInViews.indexOf(index);
        if(num > -1) {
          showInViews.splice(num, 1);
        }
      }
      layer.showInViews = showInViews;
      if(type == 'datasource') {
        layer.entities.values.forEach(entity => {
          if(entity.show) {
            entity.showInViews = showInViews;
          }
        });
      }
    }
  }
}

/***/ }),

/***/ 348:
/***/ (function(module) {

module.exports = require("@kq_npm/client_icons_vue");

/***/ }),

/***/ 7080:
/***/ (function(module) {

module.exports = require("vue-i18n/dist/vue-i18n.cjs.js");

/***/ }),

/***/ 7135:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7135__;

/***/ }),

/***/ 3458:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__3458__;

/***/ }),

/***/ 7997:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__7997__;

/***/ }),

/***/ 1895:
/***/ (function(module) {

module.exports = __WEBPACK_EXTERNAL_MODULE__1895__;

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			id: moduleId,
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/nonce */
/******/ 	!function() {
/******/ 		__webpack_require__.nc = undefined;
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
!function() {
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "CompareMapViewModel": function() { return /* reexport */ CompareMapViewModel/* default */.Z; },
  "default": function() { return /* reexport */ CompareMap; }
});

// EXTERNAL MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_ = __webpack_require__(1895);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/gis-utils"
var gis_utils_ = __webpack_require__(7135);
// EXTERNAL MODULE: external "@kq_npm/client_icons_vue"
var client_icons_vue_ = __webpack_require__(348);
// EXTERNAL MODULE: ./src/webgl/comparemap/CompareMapViewModel.js
var CompareMapViewModel = __webpack_require__(764);
// EXTERNAL MODULE: external "vue-i18n/dist/vue-i18n.cjs.js"
var vue_i18n_cjs_js_ = __webpack_require__(7080);
;// CONCATENATED MODULE: ./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/comparemap/CompareMapTree.vue?vue&type=script&setup=true&lang=js


const _hoisted_1 = { class: "kq3d-compare-map-tree" }

;




const __default__ = {
  name: "Kq3dCompareMapTree"
};

/* harmony default export */ var CompareMapTreevue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
  index: Number,
  setLayerState: {
    type: Function
  },
  defaultSelectAll: {
    type: Boolean,
    default: true
  }
},
  setup(__props) {

const props = __props;



let selectedLayers = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)([]); // 图层树选中值
let layerTreeData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)([]); // 图层树选项数据
let preCheckedKeys = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)([]); // 记录上次图层树选中值
const { proxy } = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.getCurrentInstance)();
let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(proxy.$i18n.global.messages[proxy.$i18n.global.locale]["webgl"]);

/**
 * 勾选图层逻辑
 */
function changeLayer(values) {
  let checkedKeys = preCheckedKeys.value;
  if (checkedKeys.length > values.length) {
    for (let val of checkedKeys.values()) {
      if (!values.includes(val)) {
        props.setLayerState(props.index, val, false);
      }
    }
  } else {
    for (let val of values.values()) {
      if (!checkedKeys.includes(val)) {
        props.setLayerState(props.index, val, true);
      }
    }
  }
  preCheckedKeys.value = values;
}

// 国际化
let { locale, messages } = (0,vue_i18n_cjs_js_.useI18n)();
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
  () => locale.value,
  (newVal, oldVal) => {
    language.value = messages.value[newVal]["webgl"];
  }
);

(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
  (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
    gis_utils_.utils.getWebMap(null, scenceView => {
      if (scenceView) {
        layerTreeData.value = gis_utils_.mapLayerUtils.getLayerCheckedList();
        if(props.defaultSelectAll) {
          selectedLayers.value = gis_utils_.mapLayerUtils.getLayerCheckedListKey();
          preCheckedKeys.value = selectedLayers.value;
        }
      }
    });
  });
});

(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {});

return (_ctx, _cache) => {
  const _component_kq_option = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-option")
  const _component_kq_select = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-select")

  return ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("section", _hoisted_1, [
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
      teleported: true,
      multiple: "",
      "collapse-tags": "",
      onChange: changeLayer,
      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(selectedLayers),
      "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(selectedLayers) ? (selectedLayers).value = $event : selectedLayers = $event)),
      "value-key": "id",
      placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).selectLayer,
      style: {"width":"220px"}
    }, {
      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
        ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(layerTreeData), (item) => {
          return ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_option, {
            key: item.guid,
            label: item.name,
            value: item.guid
          }, null, 8 /* PROPS */, ["label", "value"]))
        }), 128 /* KEYED_FRAGMENT */))
      ]),
      _: 1 /* STABLE */
    }, 8 /* PROPS */, ["modelValue", "placeholder"])
  ]))
}
}

}));
;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMapTree.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMapTree.vue



const __exports__ = CompareMapTreevue_type_script_setup_true_lang_js;

/* harmony default export */ var CompareMapTree = (__exports__);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_utils/util"
var util_ = __webpack_require__(3458);
;// CONCATENATED MODULE: ./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/comparemap/CompareMapLayerTree.vue?vue&type=script&setup=true&lang=js


const CompareMapLayerTreevue_type_script_setup_true_lang_js_hoisted_1 = { class: "tree-item" }
const _hoisted_2 = { class: "tree-node_label" }

;






const CompareMapLayerTreevue_type_script_setup_true_lang_js_default_ = {
  name: "Kq3dCompareMapLayerTree"
};

/* harmony default export */ var CompareMapLayerTreevue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(CompareMapLayerTreevue_type_script_setup_true_lang_js_default_, {
  props: {
	index: Number,
	setLayerState: {
		type: Function
	},
	defaultSelectAll: {
		type: Boolean,
		default: true
	},
	// 是否生成HeaderTemp
	showHeaderTemp: {
		type: Boolean,
		default: true,
	},
	// 是否折叠HeaderTemp，showHeaderTemp为true时生效
	isCollapseHeaderTemp: {
		type: Boolean,
		default: true,
	},
	// HeaderTemp标题
	headerTempTitle: {
		type: String,
		// default: "图层树"
	},
	headerTempIcon: {
		type: [Object, String],
		default: client_icons_vue_.IconLayerTree,
	},
	isRight: {
		type: Boolean,
		default: true,
	},
	showShadow: {
		type: Boolean,
		default: false,
	}
},
  setup(__props) {

const props = __props;



// 组件容器ref
let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);

// 生成组件默认header
let headerTemp = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
let headerTempRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
let headerTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)('');

let layerTreeRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
let filterTreeTxt = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)('');

// 图层树过滤
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(filterTreeTxt, (val) => {
	if (layerTreeRef.value) {
		layerTreeRef.value.$refs.child.filter(val);
	}
});

let { t } = (0,vue_i18n_cjs_js_.useI18n)();

let treeData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)([]);
let checkedKeysData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)([]);

(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
	(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
		headerTitle.value = t('common.layerListTitle');
		headerTemp.value = (0,util_.createHeaderTemp)(boxRef.value, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toRefs)(props), headerTempRef, headerTitle);
		gis_utils_.utils.getWebMap(null, scenceView => {
			if (scenceView) {
				treeData.value = scenceView._layerManager._layerTreeData;
				checkedKeysData.value = scenceView._layerManager.getLayerCheckedListKey();
			}
		});
	});
});

const filterNode = (value, data) => {
	if (!value) return true;
	return data.name.includes(value);
};

// 点击图层check框
const handleCheck = (data, checked) => {
	props.setLayerState(props.index, data.guid, checked);
};

// 图层树图层icon类型判断
const getIconType = (data) => {
	// 海图
  if (data.layerType === 10) {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconSeaChartSet);
  }
  // 流服务图层
  else if (data.renderType === "dataflow") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconDataFlowServer);
  }
  // 影像镶嵌数据集
  else if (data.type === "Image" || data.type === "Mosaic" || data.type === "Catalog") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconMosaicDataset);
  }
  // 融合图层
  else if (data.combined === true) {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconBlendingLayer);
  }
  // 矢量瓦片
  else if (data.renderType === "vectortile") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconMvtLayer);
  }
  // 模型
  else if (data.serverType === "3dtiles") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.Icon3DServiceModel);
  }
  // 地形
  else if (data.serverType === "terrainprovider") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.Icon3DTerrainLayer);
  }
  // 影像
  else if (data.rasterLayer) {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconImageLayer);
  }
  // 线
  else if (data.shapeType === "polyline") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconPolyline);
  }
  // 注记面层
  else if (data.shapeType === "polygon" && data.annoLayer === true) {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconNote);
  }
  // 面
  else if (data.shapeType === "polygon") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconPolygon2);
  }
  // 点
  else if (data.shapeType === "point") {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconPoint);
  }
  // 父节点
  else if (data.children) {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconFolder);
  }
  // 其他
  else {
    return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.markRaw)(client_icons_vue_.IconRasterTile);
  }
};

return (_ctx, _cache) => {
  const _component_kq_input = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-input")
  const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-icon")
  const _component_kq_tree = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-tree")

  return ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("div", {
    class: "compare-layer-tree-wrap",
    ref_key: "boxRef",
    ref: boxRef
  }, [
    (__props.showHeaderTemp)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveDynamicComponent)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(headerTemp)), {
          key: 0,
          ref_key: "headerTempRef",
          ref: headerTempRef
        }, null, 512 /* NEED_PATCH */))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input, {
      modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(filterTreeTxt),
      "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(filterTreeTxt) ? (filterTreeTxt).value = $event : filterTreeTxt = $event)),
      placeholder: _ctx.$t('common.layerManagerInputTitle'),
      clearable: ""
    }, null, 8 /* PROPS */, ["modelValue", "placeholder"]),
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_tree, {
      class: "compare-layer-tree",
      "show-checkbox": "",
      "node-key": "guid",
      data: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(treeData),
      onCheckChange: handleCheck,
      "default-checked-keys": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(checkedKeysData),
      "default-expanded-keys": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(checkedKeysData),
      "filter-node-method": filterNode,
      ref_key: "layerTreeRef",
      ref: layerTreeRef,
      "expand-on-click-node": false
    }, {
      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(({ data }) => [
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("span", CompareMapLayerTreevue_type_script_setup_true_lang_js_hoisted_1, [
          (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("span", null, [
            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, { class: "tree-node_icon" }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
                ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveDynamicComponent)(getIconType(data))))
              ]),
              _: 2 /* DYNAMIC */
            }, 1024 /* DYNAMIC_SLOTS */),
            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("span", _hoisted_2, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)(data.name), 1 /* TEXT */)
          ])
        ])
      ]),
      _: 1 /* STABLE */
    }, 8 /* PROPS */, ["data", "default-checked-keys", "default-expanded-keys"])
  ], 512 /* NEED_PATCH */))
}
}

}));
;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMapLayerTree.vue?vue&type=script&setup=true&lang=js
 
// EXTERNAL MODULE: ./node_modules/style-loader/dist/runtime/injectStylesIntoStyleTag.js
var injectStylesIntoStyleTag = __webpack_require__(3379);
var injectStylesIntoStyleTag_default = /*#__PURE__*/__webpack_require__.n(injectStylesIntoStyleTag);
// EXTERNAL MODULE: ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/comparemap/CompareMapLayerTree.vue?vue&type=style&index=0&id=c1279110&lang=scss&scope=true
var CompareMapLayerTreevue_type_style_index_0_id_c1279110_lang_scss_scope_true = __webpack_require__(1638);
;// CONCATENATED MODULE: ./node_modules/style-loader/dist/cjs.js!./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/comparemap/CompareMapLayerTree.vue?vue&type=style&index=0&id=c1279110&lang=scss&scope=true

            

var options = {};

options.insert = "head";
options.singleton = false;

var update = injectStylesIntoStyleTag_default()(CompareMapLayerTreevue_type_style_index_0_id_c1279110_lang_scss_scope_true/* default */.Z, options);



/* harmony default export */ var comparemap_CompareMapLayerTreevue_type_style_index_0_id_c1279110_lang_scss_scope_true = (CompareMapLayerTreevue_type_style_index_0_id_c1279110_lang_scss_scope_true/* default.locals */.Z.locals || {});
;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMapLayerTree.vue?vue&type=style&index=0&id=c1279110&lang=scss&scope=true

;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMapLayerTree.vue



;

const CompareMapLayerTree_exports_ = CompareMapLayerTreevue_type_script_setup_true_lang_js;

/* harmony default export */ var CompareMapLayerTree = (CompareMapLayerTree_exports_);
;// CONCATENATED MODULE: ./node_modules/vue-loader/dist/index.js??ruleSet[0].use[0]!./src/webgl/comparemap/CompareMap.vue?vue&type=script&setup=true&lang=js


const CompareMapvue_type_script_setup_true_lang_js_hoisted_1 = { class: "kq3d-compare-map" }

;








const CompareMapvue_type_script_setup_true_lang_js_default_ = {
  name: "Kq3dCompareMap"
};

/* harmony default export */ var CompareMapvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(CompareMapvue_type_script_setup_true_lang_js_default_, {
  props: {
  showShadow: {
    type: Boolean,
    default: false
  },
  offsetTop: {
    type: String,
    default: "16px"
  },
  defaultSelectAll: {
    type: Boolean,
    default: true
  },
  splitLineColor: {
    type: String
  },
  splitLineWidth: {
    type: Number,
    default: 2
  },
  isTreePanel: {
    type: Boolean,
    default: true
  },
  isCollapseHeaderTemp: {
		type: Boolean,
		default: true,
	},
},
  emits: ["back"],
  setup(__props, { expose: __expose, emit }) {

const props = __props;


let offsetTop = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("auto");
const { proxy } = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.getCurrentInstance)();
let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(proxy.$i18n.global.messages[proxy.$i18n.global.locale]["webgl"]);
let btnShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false); // 分屏返回按钮

let viewModel = null;
let showTree1 = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false); // 图层树1
let showTree2 = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false); // 图层树2
let showTree3 = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false); // 图层树3
let showTree4 = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false); // 图层树4
let tree1Index = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(0);
let tree2Index = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(1);
let tree3Index = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(2);
let tree4Index = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(3);

// 国际化
let { locale, messages } = (0,vue_i18n_cjs_js_.useI18n)();
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(
  () => locale.value,
  (newVal, oldVal) => {
    language.value = messages.value[newVal]["webgl"];
  }
);

(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
  offsetTop.value = props.offsetTop;
  gis_utils_.utils.getWebMap(null, scenceView => {
    if (scenceView) {
      let options = {
        splitLineColor: props.splitLineColor,
        splitLineWidth: props.splitLineWidth
      };
      viewModel = new CompareMapViewModel/* default */.Z(scenceView, options);
    }
  });
});

//切换窗口模式
function changeMode(mode) {
  btnShow.value = true;
  if (mode === 2) {
    showTree1.value = true;
    showTree2.value = true;
    tree1Index.value = 0;
    tree2Index.value = 1;
    tree3Index.value = 2;
    tree4Index.value = 3;
  } else if (mode === 4) {
    showTree1.value = true;
    showTree2.value = true;
    showTree3.value = true;
    showTree4.value = true;
    tree1Index.value = 2;
    tree2Index.value = 3;
    tree3Index.value = 0;
    tree4Index.value = 1;
  }
  viewModel && viewModel.changeMode(mode, props.defaultSelectAll);
}

//返回
function goBack() {
  btnShow.value = false;
  showTree1.value = false;
  showTree2.value = false;
  showTree3.value = false;
  showTree4.value = false;
  emit("back");
  resetMode();
}

//重置窗口模式
function resetMode() {
  viewModel && viewModel.resetMode();
}

//设置图层显示状态
function setLayerState(index, guid, visible) {
  viewModel && viewModel.setLayerState(index, guid, visible);
}

// 销毁
(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {
  resetMode();
});

__expose({
  changeMode,
  goBack,
  resetMode,
  setLayerState
});

return (_ctx, _cache) => {
  const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-icon")
  const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-button")

  return ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("section", CompareMapvue_type_script_setup_true_lang_js_hoisted_1, [
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree1) && !__props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapTree), {
          key: 0,
          class: "layer-tree-1",
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({ top: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(offsetTop) }),
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree1Index),
          defaultSelectAll: props.defaultSelectAll,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["style", "index", "defaultSelectAll"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree1) && __props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapLayerTree), {
          key: 1,
          class: "kq3d-compare-map-tree layer-tree-1",
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({ top: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(offsetTop) }),
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree1Index),
          defaultSelectAll: props.defaultSelectAll,
          isCollapseHeaderTemp: props.isCollapseHeaderTemp,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["style", "index", "defaultSelectAll", "isCollapseHeaderTemp"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree2) && !__props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapTree), {
          key: 2,
          class: "layer-tree-2",
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({ top: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(offsetTop) }),
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree2Index),
          defaultSelectAll: props.defaultSelectAll,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["style", "index", "defaultSelectAll"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree2) && __props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapLayerTree), {
          key: 3,
          class: "kq3d-compare-map-tree layer-tree-2",
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({ top: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(offsetTop) }),
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree2Index),
          defaultSelectAll: props.defaultSelectAll,
          isRight: false,
          isCollapseHeaderTemp: props.isCollapseHeaderTemp,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["style", "index", "defaultSelectAll", "isCollapseHeaderTemp"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree3) && !__props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapTree), {
          key: 4,
          class: "layer-tree-3",
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree3Index),
          defaultSelectAll: props.defaultSelectAll,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["index", "defaultSelectAll"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree3) && __props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapLayerTree), {
          key: 5,
          class: "kq3d-compare-map-tree layer-tree-3",
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree3Index),
          defaultSelectAll: props.defaultSelectAll,
          isCollapseHeaderTemp: props.isCollapseHeaderTemp,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["index", "defaultSelectAll", "isCollapseHeaderTemp"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree4) && !__props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapTree), {
          key: 6,
          class: "layer-tree-4",
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree4Index),
          defaultSelectAll: props.defaultSelectAll,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["index", "defaultSelectAll"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(showTree4) && __props.isTreePanel)
      ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(CompareMapLayerTree), {
          key: 7,
          class: "kq3d-compare-map-tree layer-tree-4",
          index: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(tree4Index),
          defaultSelectAll: props.defaultSelectAll,
          isRight: false,
          isCollapseHeaderTemp: props.isCollapseHeaderTemp,
          setLayerState: setLayerState
        }, null, 8 /* PROPS */, ["index", "defaultSelectAll", "isCollapseHeaderTemp"]))
      : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true),
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 返回 "),
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
      circle: "",
      title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).return,
      class: "close-button",
      style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({ top: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(offsetTop) }),
      onClick: _cache[0] || (_cache[0] = $event => (goBack()))
    }, {
      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, { size: 26 }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [
            (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(client_icons_vue_.IconBack))
          ]),
          _: 1 /* STABLE */
        })
      ]),
      _: 1 /* STABLE */
    }, 8 /* PROPS */, ["title", "style"]), [
      [external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(btnShow)]
    ])
  ]))
}
}

}));
;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMap.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/comparemap/CompareMap.vue



const CompareMap_exports_ = CompareMapvue_type_script_setup_true_lang_js;

/* harmony default export */ var CompareMap = (CompareMap_exports_);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_ = __webpack_require__(7997);
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_);
;// CONCATENATED MODULE: ./src/webgl/comparemap/index.js
/*
 * Copyright (C) 2019 KQ GEO Technologies Co., Ltd.
 * All rights reserved.
 */




CompareMap.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(CompareMap.name, CompareMap);
};



}();
/******/ 	return __webpack_exports__;
/******/ })()
;
});